Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.edit.provider
Class OCLModelQueryItemProvider

    java.lang.Object
      ItemProviderAdapter
          org.eclipse.gmt.modisco.infra.query.edit.provider.ModelQueryItemProvider
              org.eclipse.gmt.modisco.infra.query.edit.provider.OCLModelQueryItemProvider

    public class OCLModelQueryItemProvider

extends ModelQueryItemProvider

This is the item provider adapter for a `OCLModelQuery` object.

Constructor Summary
`OCLModelQueryItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`java.lang.Object` | `getImage(java.lang.Object object)` This returns OCLModelQuery.gif.
`java.util.List<IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` | `notifyChanged(Notification notification)` This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

Methods inherited from class org.eclipse.gmt.modisco.infra.query.edit.provider.ModelQueryItemProvider
`getChildrenFeatures, getResourceLocator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCLModelQueryItemProvider

    public OCLModelQueryItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Overrides:
    `getPropertyDescriptors` in class `ModelQueryItemProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns OCLModelQuery.gif.

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Overrides:
    `getText` in class `ModelQueryItemProvider`

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

  Overrides:
    `notifyChanged` in class `ModelQueryItemProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD